{
  "name": "doorman-api",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "integ-test:local": "bun run build && export $(grep -v '^#' .env.twiliotemplate | grep -v '=$' | xargs) && concurrently --success first --kill-others \"bun run start-twilio\" \"bun test --timeout 30000 ./tst/integ-local.test.ts\"",
    "integ-test:staging": "STAGE=staging bun test --timeout 30000 ./tst/integ-staging.test.ts",
    "start-twilio": "twilio-run --load-local-env --env .env.local --live --port 8080",
    "watch-build": "bun run --watch src/index.ts",
    "start": "concurrently \"bun run watch-build\" \"bun run start-twilio\"",
    "local-db": "bun run src/local/localDdb.ts",
    "start:local-db": "concurrently \"bun run local-db\" \"bun run start\"",
    "build": "bun run src/index.ts",
    "deploy": "twilio-run promote --from=staging --to=prod --load-system-env --env .env.twiliotemplate",
    "deploy:staging": "twilio-run deploy --load-system-env --env .env.twiliotemplate --service-name doorman --environment=staging --override-existing-project"
  },
  "dependencies": {
    "@aws-sdk/client-dynamodb": "^3.821.0",
    "@twilio-labs/serverless-runtime-types": "^4.0.1",
    "@twilio/runtime-handler": "1.3.0",
    "discord-oauth2": "^2.12.1",
    "discord.js": "^14.19.3",
    "dynabridge": "^0.3.8",
    "is-deep-subset": "^0.1.1",
    "prom-client": "^15.1.3",
    "promise.timeout": "^1.2.0",
    "twilio": "^3.84.1",
    "winston": "^3.17.0",
    "winston-loki": "^6.1.3",
    "zod": "^3.25.42",
    "zod-validation-error": "^3.4.1",
    "zod_utilz": "^0.8.4"
  },
  "devDependencies": {
    "concurrently": "^9.1.2",
    "dynamodb-local": "^0.0.35",
    "twilio-run": "^3.5.4"
  },
  "engines": {
    "node": "22"
  }
}
